<?php
namespace Bdp\Modules\EventParticipants\Controllers;

class CloseEvent {
	public function __construct() {
		global $_REQUEST, $dbHandler;

		$dbHandler->updateRows(MainController::KOMPASS_EVENTS_EVENTS, ['signup_allowed' => false], ['id' => $_REQUEST['event-id']]);
		kompass_print_message_box(__('Event closed for signup', BDP_LV_PLUGIN_SLUG));

		new ListEventsController();
	}
}